Bug 587763 - Segfault in glXChooseVisual (fglrx)
Segfault in glXChooseVisual (fglrx)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: desktop-effects (Show other bugs)
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2010-04-30 15:57 EDT by Arthur Enright
Modified: 2010-06-23 13:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-23 13:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (6.02 KB, text/plain)
2010-04-30 15:57 EDT, Arthur Enright
no flags Details

  None (edit)
Description Arthur Enright 2010-04-30 15:57:41 EDT
abrt 1.0.7 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: desktop-effects
comment: Installed AMD/ATI Binary Drivers 10-4. Configure single desktop spanned across 2 monitors useing amdcccle. Try to run desktop-effects either from the gnome menu or from command line.
component: desktop-effects
executable: /usr/bin/desktop-effects
kernel: 2.6.32-19.el6.i686
package: desktop-effects-0.8.4-2.1.el6
rating: 1
reason: Process /usr/bin/desktop-effects was killed by signal 11 (SIGSEGV)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

How to reproduce
1. Install AMD/ATI Binary Driver (10-4)
2. Configure single desktop spanned across 2 monitors using amdcccle tool
3. Try to run desktop-effects either from the gnome menu or from command line.
Comment 1 Arthur Enright 2010-04-30 15:57:43 EDT
Created attachment 410588 [details]
File: backtrace
Comment 3 RHEL Product and Program Management 2010-04-30 16:57:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 Owen Taylor 2010-06-22 22:17:20 EDT
Same as fedora bug 566971
Comment 5 Owen Taylor 2010-06-23 13:41:18 EDT
This is a crash inside the AMD Catalyst drivers; it might be related to the specific code in the desktop-effects tool but the code is working fine with other drivers; more likely it's a general crash on the affected system for any OpenGL program. desktop-effects has a very small usage of OpenGL - it just creates a GL context, queries information about available strings and then closes everything.

There's not much we can do to debug it since the crash is inside fglrx.

(There's a small chance it's related to bug 574500. The Catalyst drivers might not handle the case where we try to create a GL context after a failing call to XCreateWindow, and might segfault instead of correctly relaying the X error. I don't, however, think that's very likely.)
Comment 6 RHEL Product and Program Management 2010-06-23 13:54:50 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.